<?php
// $Id: comment.tpl.php,v 1.2.2.1 2010/06/27 21:54:13 jarek Exp $

/**
 * @file comment.tpl.php
 * Default theme implementation for comments.
 *
 * Available variables:
 * - $author: Comment author. Can be link or plain text.
 * - $content: Body of the post.
 * - $date: Date and time of posting.
 * - $links: Various operational links.
 * - $new: New comment marker.
 * - $picture: Authors picture.
 * - $signature: Authors signature.
 * - $status: Comment status. Possible values are:
 *   comment-unpublished, comment-published or comment-preview.
 * - $submitted: By line with date and time.
 * - $title: Linked title.
 *
 * These two variables are provided for context.
 * - $comment: Full comment object.
 * - $node: Node object the comments are attached to.
 *
 * @see template_preprocess_comment()
 * @see theme_comment()
 */
?>
<div class="comment<?php print ($comment->new) ? ' comment-new' : ''; print ' '. $status ?>">

  <div class="header">
    <?php print $picture ?>

    <div class="title-and-meta">
      <?php if ($title): ?>
        <h3 class="title"><?php print $title ?></h3>
      <?php endif; ?>

      <div class="meta">
        <?php print $submitted ?>
      </div>
    </div>
  </div>

  <?php print $content ?>

  <?php if ($signature): ?>
    <div class="user-signature clear-block">
      <?php print $signature ?>
    </div>
  <?php endif; ?>

  <?php print $links ?>
</div>
