<?php
// $Id: template.php,v 1.3.2.2 2010/12/31 15:06:46 jarek Exp $

/**
 * Initialize theme settings.
 */
if (is_null(theme_get_setting('color_scheme'))) {
  global $theme_key;
  // Save default theme settings
  $defaults = array(
    'color_scheme' => 'blue',
  );

  variable_set(
    str_replace('/', '_', 'theme_'. $theme_key .'_settings'),
    array_merge(theme_get_settings($theme_key), $defaults)
  );
  // Force refresh of Drupal internals
  theme_get_setting('', TRUE);
}


function typebased_preprocess_page(&$vars, $hook) {
  // Remove useless "no-sidebars" class from $body_classes variable
  if (preg_match("/no-sidebars/i", $vars['body_classes']) == true) {
    $vars['body_classes'] = str_replace('no-sidebars', '', $vars['body_classes']);
  }

  // Add $layout_classes variable
  if ( !empty($vars['sidebar']) ) {
    $vars['classes_array'][] = 'one-sidebar';
  }
  else {
    $vars['classes_array'][] = 'no-sidebars';
  }
  $vars['layout_classes'] = implode(' ', $vars['classes_array']);
}

/**
 * Overrides theme_comment_block().
 */
function typebased_comment_block() {
  $items = array();
  foreach (comment_get_recent() as $comment) {
    $items[] = l($comment->subject, 'node/'. $comment->nid, array('fragment' => 'comment-'. $comment->cid)) .'<span class="date">'. t('@time ago', array('@time' => format_interval(time() - $comment->timestamp))) . '</span>';
  }
  if ($items) {
    return theme('item_list', $items);
  }
}

/**
 * Overrides theme_more_link().
 */
function typebased_more_link($url, $title) {
  return '<div class="more-link">'. t('<a href="@link" title="@title">more ›</a>', array('@link' => check_url($url), '@title' => $title)) .'</div>';
}

/**
 * Overrides theme_tablesort_indicator().
 */
function typebased_tablesort_indicator($style) {
  if ($style == "asc") {
    return theme('image', path_to_theme() . '/images/tablesort-ascending.png', t('sort icon'), t('sort ascending'));
  }
  else {
    return theme('image', path_to_theme() . '/images/tablesort-descending.png', t('sort icon'), t('sort descending'));
  }
}


